B HODL
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/b-hodl/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/b-hodl/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1763424000000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://irtools.co.uk/92/story/29f08a38-326d-45a1-b454-5947c9791afe",
"holding_balance": 155.039,
"holding_net_change": 2.0,
"transaction_value_usd": 197334.0,
"average_entry_value_usd": 98667.0,
"transaction_value_calculated": false
},
{
"date": 1764806400000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://irtools.co.uk/92/story/ed01e1d6-87b5-4129-a52a-dc885d4865df",
"holding_balance": 157.211,
"holding_net_change": 2.21,
"transaction_value_usd": 203598.46,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
},
{
"date": 1767139200000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://irtools.co.uk/92/story/pdf/3cb0be25-0ea6-464e-bac5-5a5ac376ba11",
"holding_balance": 158.211,
"holding_net_change": 1.0,
"transaction_value_usd": 112369.0,
"average_entry_value_usd": 112369.0,
"transaction_value_calculated": false
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/b-hodl/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
158.211
],
[
1779062400000,
158.211
],
[
1779148800000,
158.211
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/b-hodl/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
12250255.58046
],
[
1779062400000,
12173429.90097
],
[
1779148800000,
12144277.94211
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/b-hodl/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/b-hodl/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/b-hodl/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/b-hodl/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": 0.0,
"total_btc_percentage": 0.001,
"share_price_change_state": "down"
}